commit d9ed9a937eebe461025137500ad4728be478f696
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Sat May 13 19:36:00 2023 +0200

    Počátek zpracování výsledků, ukazuje se koncová obrazovka, ale nejde to pro více rounds.

diff --git a/workdir/Asociace/Assembly-CSharp-Editor.csproj b/workdir/Asociace/Assembly-CSharp-Editor.csproj
index 4496ec17b..8c5eed1a7 100644
--- a/workdir/Asociace/Assembly-CSharp-Editor.csproj
+++ b/workdir/Asociace/Assembly-CSharp-Editor.csproj
@@ -789,6 +789,9 @@
       <Name>Assembly-CSharp</Name>
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <None Include="Assets\Resources\Testing\NewFile.txt" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <Target Name="GenerateTargetFrameworkMonikerAttribute" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
diff --git a/workdir/Asociace/Assembly-CSharp.csproj b/workdir/Asociace/Assembly-CSharp.csproj
index a35fca89f..4fa8e91f1 100644
--- a/workdir/Asociace/Assembly-CSharp.csproj
+++ b/workdir/Asociace/Assembly-CSharp.csproj
@@ -163,6 +163,7 @@
     <None Include="Assets/Libs/TextMesh Pro/Resources/Shaders/TMP_SDF Overlay.shader" />
     <None Include="Assets/Libs/TextMesh Pro/Resources/Shaders/TMP_Bitmap-Mobile.shader" />
     <None Include="Assets/Libs/TextMesh Pro/Fonts/LiberationSans - OFL.txt" />
+    <None Include="Assets/Resources/Testing/input_02.txt" />
     <None Include="Assets/Libs/TextMesh Pro/Resources/Shaders/TMP_SDF-Mobile.shader" />
     <None Include="Assets/Resources/Testing/input_01.txt" />
     <None Include="Assets/Libs/TextMesh Pro/Resources/Shaders/TMP_Sprite.shader" />
diff --git a/workdir/Asociace/Assets/Resources/Testing/input_02.txt.meta b/workdir/Asociace/Assets/Resources/Testing/input_02.txt.meta
new file mode 100644
index 000000000..8583a2f0a
--- /dev/null
+++ b/workdir/Asociace/Assets/Resources/Testing/input_02.txt.meta
@@ -0,0 +1,7 @@
+fileFormatVersion: 2
+guid: be2eb83cb20254faea08beac0a2d349a
+TextScriptImporter:
+  externalObjects: {}
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
diff --git a/workdir/Asociace/Assets/Scenes/Task.unity b/workdir/Asociace/Assets/Scenes/Task.unity
index f4cbf2212..f65dca969 100644
--- a/workdir/Asociace/Assets/Scenes/Task.unity
+++ b/workdir/Asociace/Assets/Scenes/Task.unity
@@ -3186,8 +3186,8 @@ RectTransform:
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 0}
   m_AnchorMax: {x: 0, y: 0}
-  m_AnchoredPosition: {x: 809.56256, y: 0}
-  m_SizeDelta: {x: 1619.1251, y: 0}
+  m_AnchoredPosition: {x: 0, y: 0}
+  m_SizeDelta: {x: 0, y: 0}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1729012035
 MonoBehaviour:
diff --git a/workdir/Asociace/Assets/Scripts/Tools/Constants.cs b/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
index fa0a80af6..80b86d355 100644
--- a/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
+++ b/workdir/Asociace/Assets/Scripts/Tools/Constants.cs
@@ -165,5 +165,7 @@ namespace Tools
         /// represents the question mark character
         /// </summary>
         public static readonly string QUESTION_MARK = "?";
+
+        public static readonly int OPTION_COUNT = 6;
     }
 }
diff --git a/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs b/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
index b9671af37..673fea60b 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/InputData/TaskConfiguration.cs
@@ -115,6 +115,7 @@ namespace Data.Input
             PossibilityToEndTask = false;
             PossibilityToSkipRound = false;
             SelectedTypeOfHints = TypeOfHints.SELECTION;
+            TimeToShowResults = 10;
         }
 
         private void SetDebug()
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
index 3ac71c9b7..7340b29c8 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/DataCollector.cs
@@ -69,6 +69,13 @@ namespace Data.Output
                 correct++;
             else
                 incorrect++;
+            UpdateSuccessRate();
+        }
+
+        public void SetFullIncorrect()
+        {
+            incorrect += 6;
+            UpdateSuccessRate();
         }
 
         /// <summary>
@@ -151,6 +158,18 @@ namespace Data.Output
 
         public float GetSuccessRate() => gameResults.successRate;
 
+        public void UpdateSuccessRate()
+        {
+            int fullOptionsCount = GetCurrentRound().RoundPairs.Count * Constants.OPTION_COUNT;
+            float incorrectRate = ((float) incorrect) / fullOptionsCount;
+            SetSuccessRate(1 - incorrectRate);
+        }
+
+        public RoundData GetCurrentRound()
+        {
+            return Task.Configuration.Rounds[DataCollector.Round];
+        }
+
         public void SetUserRating(int value) => gameResults.userRating = value;
         
         /// <summary>
diff --git a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
index d48b91291..9d1e4a18f 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/OutputData/RoundResults.cs
@@ -66,6 +66,8 @@ namespace Data.Output
             /// </summary>
             public SortedList<string, GameAction.Action> keystrokeContainer;
 
+            public string startTime;
+
             public RoundResults()
             {
                 totalTime = -1;
@@ -108,10 +110,10 @@ namespace Data.Output
             {
                 // Web application cannot handle empty parameters => use "null" or similar string instead of empty string.
                 return totalTime + Constants.MAIN_SEPARATOR +
-                    playedTime + Constants.MAIN_SEPARATOR +
                     successRate + Constants.MAIN_SEPARATOR +
-                    Convert.ToInt32(helpUsed) + Constants.MAIN_SEPARATOR +
-                    helpClick + Constants.MAIN_SEPARATOR +
+                    startTime + Constants.MAIN_SEPARATOR +
+                    totalTime + Constants.MAIN_SEPARATOR +
+                    Locale.GetCode() + Constants.MAIN_SEPARATOR +
                     Convert.ToInt32(roundSkipped) + Constants.MAIN_SEPARATOR +
                     skipClick + Constants.MAIN_SEPARATOR +
                     JsonConvert.SerializeObject(coveringTaskScene) + Constants.MAIN_SEPARATOR +
diff --git a/workdir/Asociace/UserSettings/EditorUserSettings.asset b/workdir/Asociace/UserSettings/EditorUserSettings.asset
index c51d57c5c..5d4afc033 100644
--- a/workdir/Asociace/UserSettings/EditorUserSettings.asset
+++ b/workdir/Asociace/UserSettings/EditorUserSettings.asset
@@ -11,6 +11,9 @@ EditorUserSettings:
     RecentlyUsedSceneGuid-1:
       value: 54570451560c0b0e0f5c552612755e4417151e2b2f717563297e1c66e4b66468
       flags: 0
+    RecentlyUsedSceneGuid-2:
+      value: 5352035006040c5a545a5a2114205c44174f1a2b757c2566782b1836e0b4636d
+      flags: 0
     vcSharedLogLevel:
       value: 0d5e400f0650
       flags: 0
